Description

Currently, it is possible to re-title an issue from "myissue" to "myissue ". This is reflected/shown in the history as well. In practice, it

makes no sense to allow leading and trailing whitespace in ticket titles. Therefore, I recommend to always trim the title field (and

probably other fields as well) upon input, so that it doesnt even make it into the database.

Related issues:

Is duplicate of Redmine - Defect #9588: Text fields used for data entry shoul... New 2011-11-16

History

#1 - 2021-01-06 10:11 - Marius BĂLTEANU

- Private changed from No to Yes

Do not test Redmine on this site. This is the Redmine issue tracker for reporting bugs or feature requests about the Redmine core software.

You should use http://demo.redmine.org/ if you want to test Redmine.

I will delete this issue after a while.

#2 - 2021-01-06 10:24 - Michael Aram

I am perfectly aware of this. Please read the title and the description of the issue again.

I have a private installation of Redmine 4.1.1. In this version (I have to admit, I havent checked if this inconvenience is fixed in upcoming code), this

"usability smell" exists. It is not a real defect, but it is something that should be improved in future versions. There is no user benefit in leading and

trailing whitespace in issue properties, at least not in non-richtext fields.

Last but not least the fix is probably a one-liner...

Feel free to rephrase the ticket title to something more generic, such as "Trim user input from simple text input fields upon reception"

#3 - 2021-01-06 10:52 - Marius BĂLTEANU

Michael Aram wrote:

I am perfectly aware of this. Please read the title and the description of the issue again.

I have a private installation of Redmine 4.1.1. In this version (I have to admit, I havent checked if this inconvenience is fixed in upcoming code),

this "usability smell" exists. It is not a real defect, but it is something that should be improved in future versions. There is no user benefit in

leading and trailing whitespace in issue properties, at least not in non-richtext fields.

Last but not least the fix is probably a one-liner...

Feel free to rephrase the ticket title to something more generic, such as "Trim user input from simple text input fields upon reception"

 Sorry, I wrongly included this tichet. I will delete my comment.

#4 - 2021-01-06 10:55 - Marius BĂLTEANU

- Private changed from Yes to No

Making this ticket public again, please see my previous notes.

#5 - 2021-02-01 05:20 - Go MAEDA

- Status changed from New to Closed
- Resolution set to Duplicate

Thank you for suggesting the feature.

However, I just found #9588 that requests the same feature. So, I am closing this issue as a duplicate of it.

#6 - 2021-02-01 05:20 - Go MAEDA

- Is duplicate of Defect #9588: Text fields used for data entry should trim whitespace. added
